# 拿回
> 从当前办理节点拿回

接口请求调用说明 <br>
http请求方式: POST <br>
请求地址: http://127.0.0.1:8080/demo/horizon/workflow/rest/flow/support/action{suffix} <br>
**post数据说明：**
```
{
  "accessToken": "",
  "workId": "HZ28858d720cb01101720d4f42de01b4",
  "trackId": "HZ28858d720cb01101720d4f42de01b5",
  "actionData": {
    "operate": "getback",
    "operateClazz": "com.horizon.wf.action.ActionGetBack"
  }
}
```
请求参数说明:

| 参数          | 是否必须 | 描述            |
|-------------|------|---------------|
| accessToken | 是    | 调用接口凭证，唯一用户标识 |
| workId      | 是    | 流程实例id        |
| trackId     | 是    | 流程路径id        |
| actionData  | 是    | 其他提交数据        |
actionData 数据参数:

| 参数           | 是否必须 | 描述                                         |
|--------------|------|--------------------------------------------|
| operate      | 是    | 操作标识，固定值getback                            |
| operateClazz | 是    | 拿回操作类路径com.horizon.wf.action.ActionGetBack |
**返回结果示例：**
```
{
    "alert": "true",
    "operate": "getback",
    "operateClazz": "com.horizon.wf.action.ActionGetBack",
    "operateFlag": "1",
    "operateMsg": "拿回成功",
    "operateStatus": "success",
    "reOpen": "false",
    "status": 0,
    "workId": "HZ28858f8113f08b018113f08be70001"
}
```

**结果参数说明:**

| 参数            | 参数类型   | 描述                    |
|---------------|--------|-----------------------|
| alert         | String | 是否弹出操作成功信息，可忽略        |
| operate       | String | 拿回操作标识                |
| operateClazz  | String | 拿回操作类路径               |
| operateFlag   | String | 操作标记 -1：显示关闭，0、1：正常提交 |
| operateMsg    | String | 流程操作返回信息              |
| operateStatus | String | 流程操作结果                |
| reOpen        | String | 是否重新打开，可忽略            |
| status        | int    | 流程操作状态码               |
| workId        | String | 流程实例id                |
