# 启动新工作

## 流程可启动列表
接口请求调用说明 <br>
http请求方式: POST <br>
请求地址: http://127.0.0.1:8080/demo/horizon/workflow/rest/flow/page.wf<br>
**post数据说明：**
```
{
  "accessToken": "",
  "page": "1",
  "limit": "10",
  "sort": "created"
}
```
请求参数说明:

| 参数          | 是否必须 | 描述                                          |
|-------------|------|---------------------------------------------|
| accessToken | 是    | 调用接口凭证，唯一用户标识                               |
| page        | 否    | 页码，如果为空表示查询全部数据                             |
| limit       | 否    | 每页显示的数据条数，如果为空默认查询10条                       |
| sort        | 否    | 非必须，字段前如果加上减号，如sort=-created则为按照created倒序排列 |
**返回结果示例：**
```
{
  "code": 0,
  "data": [
    {
      "created": "2022-05-16 10:01:01",
      "flowId": "testhuiqian",
      "flowName": "新流程会签",
      "typeName": "",
      "version": "4;3;2;1"
    },
    {
      "created": "2022-05-12 14:47:31",
      "flowId": "test3",
      "flowName": "新流程test3",
      "typeName": "www",
      "version": "2;1"
    }
  ],
  "message": "",
  "recordsTotal": "4",
  "success": true
}
```
**结果参数说明:**

| 参数       | 参数类型   | 描述             |
|----------|--------|----------------|
| created  | String | 创建时间           |
| flowId   | String | 流程id           |
| flowName | String | 流程名称           |
| typeName | String | 流程分类名称         |
| version  | String | 版本号，多个流程用分号;隔开 |

