<div class="page-content no-padding-bottom">
	<#assign tableIds=fields[form.formId].tableId>
	<#list tableIds?split(";") as tableId>
		<#--
			自定义表单创建后，对应的模板需要按照表单中文名字段复制，默认有姓名字段
			如果需要添加字段，复制<div class="row"> .... </div>到结束标签，每
			添加一个字段需要多复制一对<div class="row">.... </div>，复制后的
			内容，只需要修改对应中文名字段与表单一致即可
		-->
		<#-- copy begin	-->
		<div class="row">
			<#assign formfield = fields[form.formId+"_"+tableId+"_姓名"]>
			<#if formfield != null>
				<div class="col-xs-12">
					<#assign name=form.formId+"_"+tableId+"_"+ formfield.fieldId>
					<#assign auth=formfield.author>
					<#assign val=datas[form.formId+"_"+tableId+"_"+formfield.dataKey]>
					<div class="form-group <#if auth=="check" && (val==null || val=="") >has-error</#if>">
						<label class="col-xs-12 col-sm-3 control-label" title="${tableId}">${formfield.fieldName}:</label>
						<div class="col-xs-12 col-sm-5 ">
							<#if (auth=="read")>
								<label class="form-control form-read-lable">${val}</label>
								<input type="hidden" name="${name}" value="${val}"/>
							<#elseif  (auth=="hidden")>
								<input type="hidden" name="${name}" value="${val}"/>
							<#else>
								<input class="form-control" <#if (auth=="check")>required</#if> type="text"  name="${name}"  value="${val}"/>
							</#if>
						</div>
					</div>
				</div>
			</#if>
		</div>
		<#-- copy end -->
	</#list>
</div>
<input type="hidden" name="${form.formId}_ID" value="${form.formDataId}"/>
<input type="hidden" name="FORMID" value="${form.formId}"/>
<input type="hidden" name="${form.formId}_TABLENAME" value="${fields[form.formId].tableId}"/>
<#if (form.isNewData=='true')>
	<input type="hidden" name="${form.formId}_DATAID" value=""/>
<#else>
	<input type="hidden" name="${form.formId}_DATAID" value="${form.formDataId}"/>
</#if>
